can't install winnehq-stable on fedora 34

Questions about Wine on Linux
Post Reply
sujiniku
Newbie
Newbie
Posts: 2
Joined: Sat May 01, 2021 4:29 pm

can't install winnehq-stable on fedora 34

Post by sujiniku » Sat May 01, 2021 5:09 pm

Now I use Fedora34, not Fedora 33.
I try install winehw accordingly official tutorial , so I follow https://wiki.winehq.org/Fedora ,
but because of conflict ,I can't install winnehq-stable .

so I tryed

Code: Select all

sudo dnf config-manager --add-repo https://dl.winehq.org/wine-builds/fedora/33/winehq.repo

Code: Select all

sudo dnf install winehq-stable
but the result is conflict of i686 and x86_64 , and stopped installing.
Error: Transaction test error:
file /etc/xattr.conf from install of libattr-2.5.1-1.fc34.i686 conflicts with file from package libattr-2.4.48-11.fc34.x86_64
file /usr/share/doc/libverto/AUTHORS from install of libverto-0.3.2-1.fc34.i686 conflicts with file from package libverto-0.3.1-3.fc34.x86_64
file /usr/share/doc/libverto/ChangeLog from install of libverto-0.3.2-1.fc34.i686 conflicts with file from package libverto-0.3.1-3.fc34.x86_64
file /usr/share/doc/libverto/NEWS from install of libverto-0.3.2-1.fc34.i686 conflicts with file from package libverto-0.3.1-3.fc34.x86_64
file /usr/share/doc/pango/NEWS from install of pango-1.48.4-1.fc34.i686 conflicts with file from package pango-1.48.3-1.fc34.x86_64
file /usr/share/man/man1/pango-view.1.gz from install of pango-1.48.4-1.fc34.i686 conflicts with file from package pango-1.48.3-1.fc34.x86_64

User avatar
dimesio
Moderator
Moderator
Posts: 12930
Joined: Tue Mar 25, 2008 10:30 pm

Re: can't install winnehq-stable on fedora 34

Post by dimesio » Sun May 02, 2021 6:53 am

We don't have any Fedora 34 packages yet; it wasn't released when the 6.7 packages were built. There should be ones for the next Wine development/staging release, but note that we won't have any packages for the stable branch until 6.0.1 comes out.

As for using packages built for a different version of Fedora, you can try, but it's not supported.

sujiniku
Newbie
Newbie
Posts: 2
Joined: Sat May 01, 2021 4:29 pm

Re: can't install winnehq-stable on fedora 34

Post by sujiniku » Sun May 02, 2021 5:42 pm

I tried winehq-devel and winehq-staging with dnf install on Fedora 34 at time 2021/05/03 (May 03, 2021),
but both failed similary because of conflict of i686 and x86_64 .

User avatar
dimesio
Moderator
Moderator
Posts: 12930
Joined: Tue Mar 25, 2008 10:30 pm

Re: can't install winnehq-stable on fedora 34

Post by dimesio » Sun May 02, 2021 7:46 pm

I repeat: there are no WineHQ packages for Fedora 34 and there won't be any until 6.8 comes out. We don't even have a repository for Fedora 34 set up yet.

As for the conflict dnf is reporting, those packages have nothing to do with Wine. Ask for help on the Fedora forum.

Post Reply